
!TOContextInspector methodsFor: '*tode-pharo-debugger' stamp: 'dkh 5/29/2011 08:31'!
getArgMembers
	| members tempNames |
	members := OrderedCollection new.
	tempNames := self context tempNames.
	1 to: self context numArgs do: [ :index | 
		| each |
		each := tempNames at: index.
		members
			add:
				((TOInspectorKeylessFieldSpec new)
					keyLabel: each;
					value: (self context tempNamed: each)) ].
	^ members! !

!TOContextInspector methodsFor: '*tode-pharo-debugger' stamp: 'dkh 5/29/2011 08:34'!
getContextMembers
	| members tempNames |
	members := OrderedCollection new.
	members
		add:
			((TOInspectorKeylessFieldSpec new)
				keyLabel: 'thisContext';
				value: self context).
	tempNames := self context tempNames.
	self context numArgs + 1 to: tempNames size do: [ :index | 
		members
			add:
				((TOInspectorKeylessFieldSpec new)
					keyLabel: (tempNames at: index);
					value: (self context debuggerMap namedTempAt: index in: self context)) ].
	^ members! !

!ContextPart methodsFor: '*tode-pharo-debugger' stamp: 'dkh 6/16/2011 16:41'!
renderViewOn: html for: aTOView main: main
	| selector class mclass |
	self method == nil ifTrue: [^ html text: self printString].
	class := self receiver class.
	mclass := self methodClass.
	selector := self selector ifNil:[self method defaultSelector].
	aTOView
		renderLink: [ :s | 
			main currentSession push: self class selecting: #classBrowser.
			main updateCenterSideHistory: s ]
		with: [html strong: class name]
		on: html.
	mclass == class 
		ifFalse: 
			[html text: '('.
			aTOView
				renderLink: [ :s | 
					main currentSession push: mclass selecting: #classBrowser.
					main updateCenterSideHistory: s ]
				with: [html strong: mclass name]
				on: html.
			html text: ')'].
	html text: '>>'.
selector == #DoIt
ifTrue:[html strong: selector asString]
ifFalse: [
	aTOView
		renderLink: [ :s | | fr |
			fr := main currentSession push: (mclass == class ifTrue: [ self receiver ] ifFalse: [ mclass ]) selecting: #methodSourceBrowser.
			(fr rendererForCenterTab: #methodSourceBrowser) methodReference: (MethodReference class: mclass selector: selector).
			main updateCenterSideHistory: s ]
		with: [html strong: selector asString ]
		on: html].
	selector = #doesNotUnderstand: ifTrue: [
		html space.
		html text: (self tempAt: 1) selector printString.
	].
! !

!TOException methodsFor: '*tode-pharo-debugger' stamp: 'dkh 6/10/2011 09:43'!
exception: anException

	self object: anException.
	self createFramesFrom: anException signalerContext.
! !
